// See http://d.hatena.ne.jp/fits/20090815/1250352312

package actor

import scala.actors.Actor._
import scala.actors.remote.RemoteActor._

object consumerTest extends Application {
    actor {
        //ポート番号の設定
        alive(9000)
        //シンボルの設定
        register('testActor, self)

        loop {
            receive {
                case msg => {
                        println("received=" + msg)
                        reply("rec-" + msg)
                    }
            }
        }
    }
}

